<ng-template #greenCheck><span style="color: #30C381"><fa-icon [icon]="faCheckCircle"></fa-icon></span></ng-template>
<ng-template #yellowCheck><span style="color: #E3B700"><fa-icon [icon]="faPauseCircle"></fa-icon></span></ng-template>
<ng-template #redCheck><span style="color: #BD2130"><fa-icon [icon]="faExclamationCircle"></fa-icon></span></ng-template>

<ng-template #redOrYellowUnion>
    <span *ngIf="company.union_approved === 'Inte OK'; then redCheck else yellowCheck"></span>
</ng-template>
<ng-template #redOrYellowApproval>
    <span *ngIf="company.approval === 'Inte OK'; then redCheck else yellowCheck"></span>
</ng-template>

<div class="company-popover" [ngStyle]="{'width': '89.5%', 'transform': currentTransform}">
    <div id="button-row">
        <div>
            <button id="close-button" (click)="closeHandler()">
                Stäng
            </button>
        </div>
        <div>
        </div>
        <div>
        </div>
        <div>
        </div>
        <div>
            <button id="note-button" (click)="showNotePopover()">Anteckning...</button>
        </div>
        <div>
            <button id="note-button" (click)="showExaminePopover()">Utred...</button>
        </div>
        <div>
            <button id="approve-button" (click)="showApprovalPopover()">Godkänn...</button>
        </div>
    </div>
    <div id="info-row">
        <div>
            <p>Företag</p>
            <p><b>{{ company.name }}</b></p>
        </div>
        <div>
            <p>Ändringsdatum</p>
            <p><b>{{ company.write_date }}</b></p>
        </div>
        <div>
            <p>Organisationsnr.</p>
            <p><b>{{ company.org_number }}</b></p>
        </div>
        <div>
            <p>BÄR-nr</p>
            <p><b>{{ company.bar_number }}</b></p>
        </div>
        <div>
            <p>Fackförbund</p>
            <span *ngIf="company.union_approved === 'OK'; then greenCheck else redOrYellowUnion"></span>
            <b> {{ company.union_approved }}</b>
        </div>
        <div>
            <p>Godkännande</p>
            <span *ngIf="company.approval === 'Godkänd'; then greenCheck"></span>
            <span *ngIf="company.approval === 'Utred'; then yellowCheck"></span>
            
            <b> {{ company.approval }}</b>
        </div>
        <div>
            <p>Kontaktperson</p>
            <p><b>{{ company.email }}</b></p>
        </div>
    </div>
    <div id="activity-log">
        <div id="activity-log-header">
            <div>
                <p><b>Datum</b></p>
                <hr>
            </div>
            <div>
                <p><b>Handläggare</b></p>
                <hr>
            </div>
            <div>
                <p><b>Händelse- och anteckningslog</b></p>
                <hr>
            </div>
            <div>
                <p><b>Bilaga <fa-icon [icon]="faPaperclip"></fa-icon></b></p>
                <hr>
            </div>
        </div>

        <div *ngFor="let activity of activityLog" class="activity-log-wrapper">
            <div>{{ activity.create_date }}</div>
            <div>{{ activity.creator_name }}</div>
            <div>{{ activity.comment_text }}</div>

            <div>
                <p *ngFor="let attachment of activity.attachment">
                    <a href="{{ attachment.download_url || '-' }}">{{ attachment.name }}</a>
                </p>
            </div>
        </div>

    </div>

    <approve-company-popover *ngIf="showApprovalPopoverVal" [(company)]="company" [modalPipe]="modalPipe"
        (close)="showApprovalPopover()"></approve-company-popover>
    <examine-company-popover *ngIf="showExaminePopoverVal" [(company)]="company" [modalPipe]="modalPipe"
        (close)="showExaminePopover()"></examine-company-popover>
    <note-company-popover *ngIf="showNotePopoverVal" [(company)]="company" [modalPipe]="modalPipe"
        (close)="showNotePopover()"></note-company-popover>

    <style>
        .activity-log-wrapper {
            display: grid;
            grid-template-columns: 15% 15% 55% 15%;
        }

        #activity-log-header {
            display: grid;
            grid-template-columns: 15% 15% 55% 15%;
        }

        #info-row {
            padding: 0.5em;
            background: rgb(242, 242, 242);
            display: grid;
            grid-template-columns: 14% 14% 14% 14% 14% 14% 14%;
        }

        #button-row {
            background: #fff;
            padding-top: 1em;
            padding-bottom: 1em;
            padding-left: 0.5em;
            display: grid;
            grid-template-columns: 14% 14% 14% 14% 14% 14% 14%;
        }

        #close-button {
            padding: 0.5em 1em 0.5em 1em;
            background: white;
            color: rgb(0, 0, 90);
            border-radius: 5px;
            font-weight: bold;
            font-size: 0.9em;
            font-family: 'Open Sans';
        }

        #note-button {
            padding: 0.5em 1em 0.5em 1em;
            background: white;
            color: rgb(0, 0, 90);
            border-radius: 5px;
            font-weight: bold;
            font-size: 0.9em;
            font-family: 'Open Sans';
        }

        #approve-button {
            padding: 0.5em 1em 0.5em 1em;
            background: white;
            color: rgb(0, 0, 90);
            border-radius: 5px;
            font-weight: bold;
            font-size: 0.9em;
            font-family: 'Open Sans';
        }

        .company-popover {
            position: fixed;
            border-radius: 5px;
            z-index: 10;
            max-width: 89.5%;
            border: 2px solid #000;
            background: #f2f2f2;
            transition: 0.5s all ease-in-out;
            top: 30%;
        }
    </style>
